- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ec2_group_info – Gather information about ec2 security groups in AWS

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather information about ec2 security groups in AWS.

- This module was called `ec2_group_facts` before Ansible 2.9. The usage did not change.

Aliases: ec2_group_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
filters - | Default: {} | A dict of filters to apply. Each dict item consists of a filter key and a filter value. See https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DescribeSecurityGroups.html for possible filters. Filter names and values are case sensitive. You can also use underscores (_) instead of dashes (-) in the filter keys, which will take precedence in case of conflict.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- By default, the module will return all security groups. To limit results use the appropriate filters.

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Gather information about all security groups
    - ec2_group_info:

    # Gather information about all security groups in a specific VPC
    - ec2_group_info:
        filters:
          vpc-id: vpc-12345678

    # Gather information about all security groups in a specific VPC
    - ec2_group_info:
        filters:
          vpc-id: vpc-12345678

    # Gather information about a security group
    - ec2_group_info:
        filters:
          group-name: example-1

    # Gather information about a security group by id
    - ec2_group_info:
        filters:
          group-id: sg-12345678

    # Gather information about a security group with multiple filters, also mixing the use of underscores as filter keys
    - ec2_group_info:
        filters:
          group_id: sg-12345678
          vpc-id: vpc-12345678

    # Gather information about various security groups
    - ec2_group_info:
        filters:
          group-name:
            - example-1
            - example-2
            - example-3

    # Gather information about any security group with a tag key Name and value Example.
    # The quotes around 'tag:name' are important because of the colon in the value
    - ec2_group_info:
        filters:
          "tag:Name": Example

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
security_groups list | always | Security groups that match the provided filters. Each element consists of a dict with all the information related to that security group.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Henrique Rodrigues (@Sodki)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.